Skip to content
Proud to collaborate with Microsoft for Startups

mercadopago.customers.update-customer ​

Update a customer

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-mercadopago
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
idstringYes——
emailstringNo—Customer email address (unique identifier)
first_namestringNo——
last_namestringNo——
phonejsonNo——
identificationjsonNo—Payer identification document. Valid types vary by country.
addressjsonNo——
descriptionstringNo——
metadatajsonNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
idstringYes——
emailstringNo—Customer email address (unique identifier)
first_namestringNo——
last_namestringNo——
phonejsonNo——
identificationjsonNo—Payer identification document. Valid types vary by country.
addressjsonNo——
descriptionstringNo——
metadatajsonNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v1/customers/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v1/customers/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "mercadopago.customers.update-customer",
  "initial_data": {
    "base_url": "value",
    "id": "value"
  }
}